imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: @D2CoreBundle/Resources/config/services.yml }
    - { resource: @D2UserBundle/Resources/config/services.yml }
    - { resource: @D2CustomerBundle/Resources/config/services.yml }
    - { resource: @D2ContentBundle/Resources/config/services.yml }
# general system parameters
parameters:
    # Registration
    country_override: true        								# override country filter for allow registration

    # System Email
    email_system_admin: webmaster@shoes9plus.co.za        		# general system administrator
    
framework:
    #esi:             ~
    translator: ~
    secret:          %secret%
    router:
        resource: "%kernel.root_dir%/config/routing.yml"
        strict_requirements: ~
    form:            ~
    csrf_protection: ~
    validation:      { enabled: true, enable_annotations: true }
    templating:
        engines: ['twig']
        #assets_version: SomeVersionScheme
    default_locale:  "%locale%"
    trusted_proxies: ~
    session:
        cookie_lifetime: 3600
    fragments:       ~
    http_method_override: true

# Twig Configuration
twig:
    debug:            %kernel.debug%
    strict_variables: %kernel.debug%
    form:
        resources: ['form_table_layout.html.twig']

# Assetic Configuration
assetic:
    debug:          %kernel.debug%
    use_controller: false
    bundles:        [ ]
    #java: /usr/bin/java
    filters:
       less:
           node: /usr/bin/node
           node_paths: [/usr/lib/node_modules]
           apply_to: "\.less$"
       cssrewrite: ~
        #closure:
        #    jar: %kernel.root_dir%/Resources/java/compiler.jar
        #yui_css:
        #    jar: %kernel.root_dir%/Resources/java/yuicompressor-2.4.7.jar

# Doctrine Configuration
doctrine:
    dbal:
        driver:   %database_driver%
        host:     %database_host%
        port:     %database_port%
        dbname:   %database_name%
        user:     %database_user%
        password: %database_password%
        charset:  UTF8
        mapping_types: 
            enum:       string         
        # if using pdo_sqlite as your database driver, add the path in parameters.yml
        # e.g. database_path: %kernel.root_dir%/data/data.db3
        # path:     %database_path%
    orm:
        auto_generate_proxy_classes: %kernel.debug%
        entity_managers:
            default:
                hydrators:
                    FlatArrayHydrator: D2\CoreBundle\DependencyInjection\Doctrine\CustomHydrators\FlatArrayHydrator
                auto_mapping: truez
                dql:
                    string_functions:
                        lpad: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\LPad
                        rpad: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\RPad
                        group_concat: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\GroupConcat


# Swiftmailer Configuration
swiftmailer:
    # must remove line below in production env
    delivery_address:  development@easysmsoffice.co.za
    transport: %mailer_transport%
    host:      %mailer_host%
    port:      %mailer_port%
    username:  %mailer_user%
    password:  %mailer_password%
    auth_mode:  login
    spool:     { type: memory }
    
# FosUserBundle
fos_user:
    db_driver: orm 
    firewall_name: main
    user_class: D2\UserBundle\Entity\User
    registration:
        form:
            type: d2_user_registration
        confirmation:
            from_email:
                address:        webmaster@shoes9plus.co.za
                sender_name:    Shoes 9 Plus
            enabled: false
    profile:
        form:
            type: d2_user_profile
    change_password:
        form:
            type: fos_user_change_password
    from_email:
        address:        webmaster@shoes9plus.co.za
        sender_name:    "Shoes 9 Plus"
    resetting:
        email:
            from_email:
                address:        webmaster@shoes9plus.co.za
                sender_name:    "Shoes 9 Plus"
    
# KnpMenuBundle    
knp_menu:
    twig:  # use "twig: false" to disable the Twig extension and the TwigRenderer
        template: knp_menu.html.twig
    templating: false # if true, enables the helper for PHP templates
    default_renderer: twig # The renderer to use, list is also available by default
    providers:
        builder_alias: false    # disable the builder-based provider
        container_aware: true   # keep this one enabled. Can be omitted as it is the default    

mopa_bootstrap:
    form:
        show_legend: false # default is true
        show_child_legend: false # default is true
        error_type: inline # or inline which is default
        checkbox_label: 'widget' # default is both (label|widget|both)
        render_required_asterisk: true # default is true
    navbar: ~

stfalcon_tinymce:
    include_jquery: false
    tinymce_jquery: false
    selector: ".tinymce"
    # Get current language from the parameters.ini
    language: %locale%
    theme:
        # Advanced theme with almost all enabled plugins
        simple:
             width: 790
             theme: modern
             plugins:
                 - "advlist autolink lists link image charmap print preview hr anchor pagebreak"
                 - "searchreplace wordcount visualblocks visualchars code fullscreen"
                 - "insertdatetime media nonbreaking save table contextmenu directionality"
                 - "emoticons template paste textcolor"
             toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image"
             toolbar2: "print preview media | forecolor backcolor emoticons | stfalcon | example"
             image_list: "/app_dev.php/suggest_images"
             #external_filemanager_path: "/ResponsiveFilemanager-master/filemanager/" 
             #filemanager_title: "Responsive Filemanager"
             #external_plugins: { "filemanager" : "/ResponsiveFilemanager-master/filemanager/plugin.min.js"}
             #image_advtab: true
        external_plugins:
    
knp_snappy:
    pdf:
        enabled:    true
        binary:     %knp_snappy.wkhtmltopdf%
        options:    []
    image:
        enabled:    true
        binary:     %knp_snappy.wkhtmltoimage%
        options:    []

tga_audience:
    session_duration: 3600     # Duration meanwhile a visitor is unique
    disabled_routes: ['fos_js_routing_js', 'fos_user_security_check', 'fos_user_security_login']        # List of disabled routes to not track with the bundle
    environnements: ['prod']    # List of environnements where the bundle will track requests
    
gregwar_captcha: ~

# Seo Configuration
bright_seo:
    title:      "Shoes 9 Plus"
    metas:
        name:
            keywords:             shoes,big sizes,ladies shoes, size 8, size 9, size 10, size 11
            description:          Shoes for Ladies, size 8 to size 11
            robots:               index, follow
        http-equiv:
            Content-Type:         text/html; charset=utf-8
            expires:              never

mobile_detect:
    redirect:
        mobile: ~
        tablet: ~
    switch_device_view: ~
